# GET All Seasons

### `GET` All Seasons

```
https://soccer.sportmonks.com/api/v2.0/seasons
```

| Endpoint details        |         |
| ----------------------- | ------- |
| Authorization           | API Key |
| Pagination              | YES     |
| Allowed nested includes | 4       |

#### Parameters

| Available parameters |                                                                                                                   |
| -------------------- | ----------------------------------------------------------------------------------------------------------------- |
| page                 | The number of the page you want to browse. Can be used by adding `&page=` etc to your request url.                |
| include              | Enrich the API with more data and/or nested includes. Can be used by adding `&include=` etc. to your request url. |

#### Include options

`league` `stages` `rounds` `upcoming` `results` `groups` `goalscorers` `cardscorers` `assistscorers` `aggregatedGoalscorers` `aggregatedCardscorers` `aggregatedAssistscorers` `fixtures`

Includes are the cornerstone of our API and allow you to enrich and customize your requests. This flexibility is what distinguishes us from our competitors.&#x20;

You can learn more about what includes are and how they work here:

{% content-ref url="/pages/-MJXOeyBzTS35Z7kTf1c" %}
[Includes](/v2/tutorials/enriching-your-response/includes.md)
{% endcontent-ref %}

#### Example response

{% tabs %}
{% tab title="Request" %}

```
https://soccer.sportmonks.com/api/v2.0/seasons?api_token={API_TOKEN}
```

{% endtab %}

{% tab title="Response" %}

```javascript
 "data": [
        {
            "id": 5307,
            "name": "2005/2006",
            "league_id": 2,
            "is_current_season": false,
            "current_round_id": null,
            "current_stage_id": null
        },
        {
            "id": 5308,
            "name": "2006/2007",
            "league_id": 2,
            "is_current_season": false,
            "current_round_id": null,
            "current_stage_id": null
        },
        {
            "id": 5309,
            "name": "2007/2008",
            "league_id": 2,
            "is_current_season": false,
            "current_round_id": null,
            "current_stage_id": null
        },
        {
            "id": 5310,
            "name": "2008/2009",
            "league_id": 2,
            "is_current_season": false,
            "current_round_id": null,
            "current_stage_id": null
        },
        {
            "id": 5311,
            "name": "2009/2010",
            "league_id": 2,
            "is_current_season": false,
            "current_round_id": null,
            "current_stage_id": null
        },
        {
            "id": 5312,
            "name": "2010/2011",
            "league_id": 2,
            "is_current_season": false,
            "current_round_id": null,
            "current_stage_id": null
        },
        {
            "id": 5313,
            "name": "2011/2012",
            "league_id": 2,
            "is_current_season": false,
            "current_round_id": null,
            "current_stage_id": null
        },
        {
            "id": 5318,
            "name": "2012/2013",
            "league_id": 2,
            "is_current_season": false,
            "current_round_id": null,
            "current_stage_id": null
        },
        {
            "id": 5315,
            "name": "2013/2014",
            "league_id": 2,
            "is_current_season": false,
            "current_round_id": null,
            "current_stage_id": null
        },
        {
            "id": 5322,
            "name": "2014/2015",
            "league_id": 2,
            "is_current_season": false,
            "current_round_id": null,
            "current_stage_id": null
        },
        {
            "id": 5321,
            "name": "2015/2016",
            "league_id": 2,
            "is_current_season": false,
            "current_round_id": null,
            "current_stage_id": null
        },
        {
            "id": 718,
            "name": "2016/2017",
            "league_id": 2,
            "is_current_season": false,
            "current_round_id": null,
            "current_stage_id": null
        },
```

{% endtab %}

{% tab title="Field Description" %}

| Field               | Description                                                                       |
| ------------------- | --------------------------------------------------------------------------------- |
| `data`              | Opens an array of data you've requested                                           |
| `id`                | The unique season id                                                              |
| `name`              | The name of the season                                                            |
| `league_id`         | The unique league id the season belongs to                                        |
| `is_current_season` | Indicates if the season is the current one. Possible values are "true" or "false" |
| `current_round_id`  | The unique id of the current round                                                |
| `current_stage_id`  | The unique id of the current stage                                                |
| {% endtab %}        |                                                                                   |
| {% endtabs %}       |                                                                                   |

{% hint style="info" %}
Check this endpoint in Postman.\
&#x20;                                                             [![Run in Postman](https://run.pstmn.io/button.svg)](https://football-postman.sportmonks.com/#a4854ca8-7673-4c01-9beb-4de151af7397)
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v2/endpoint-overview/seasons/get-all-seasons.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
